Subject: Re: bug#30676: Please make smie-config-guess interruptible

From: Reuben Thomas <[email-masked]>
Date: Fri, 2 Mar 2018 23:07:29 +0000

On 2 March 2018 at 22:41, Noam Postavsky <[email-masked]> wrote:
> tags 30676 + unreproducible
> quit
>
> Reuben Thomas <[email-masked]> writes:
>
>> It would be nice if one could run smie-config-guess without having to
>> worry about it locking up Emacs on large buffers. If it were possible
>> to interrupt it with C-g, that would make it friendlier.
>
> C-g interrupts just fine for me; since it written in lisp, I can't see
> why it should be otherwise.

Indeed, I was a bit surprised, but I ran it on my ~/.bash_history
(about 10Mb, 900,000 lines) and however many times I pressed C-g, it
just sat there slowly counting through the "Analyzing" progress meter,
and Emacs taking 100% CPU.

-- 
https://rrt.sc3d.org